Subject: Re: LRO restructuring?

From: Stephen Hemminger <[email-masked]>
Date: Wed, 18 Feb 2009 11:46:55 -0800

On Wed, 18 Feb 2009 19:25:49 +0000 (UTC)
James Huang <[email-masked]> wrote:

> Hi Herbert,
> 
>     Any idea when this LRO restructuring work will be done? 
> Making LRO available even when ip forwarding is enabled will significantly 
> improve performace of network appliances in the data path.  

LRO with ip forwarding is a bad idea since it violates the end-to-end
principle. It might even be a DO NOT in host requirements RFC.